<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
include("fozzyconfig.php");
include("fozzyfuncts.php");
include("fozzyconts.php");
Session_name("FOZZYMAIL");
Session_start();
if (( Session_is_registered( Session_Id() . "_ok" ) == false ) ||
	( !Session_is_registered("sess_valide") ) ||
	( $sess_valide != true ))
{
	die("<META HTTP-EQUIV=\"Refresh\" content=\"0;URL=index.php?err=2\">");
}
$udir = $sess_udir;
Session_write_close();
setlocale (LC_TIME, "fr");
$contact=new FozzyMail_contacts($udir);
$config=new FozzyMail_config($udir,FOZZY_CONF);
print_r($contact);
$bg_col = $config->bg_col;
$fg_col = $config->fg_col;
unset($config);
if ( isset($save) )
{
	$contact->del_allcontacts();
	if ( is_array($adr) )
	{
		$mx = count($adr);
		$errfnd=false;
		for ($i=0;$i<$mx;$i++)
		{
			$adrr=strip_tags(trim($adr[$i]));
			if ( $adrr != "" )
			{
				if ( !$contact->search($adrr) )
				{
					$contact->set_contact($adrr,Array("adr"=>strip_tags(trim($adr[$i])),
														"nom"=>strip_tags(trim($nom[$i])),
														"let"=>strip_tags(trim($let[$i])),
														"pho"=>strip_tags(trim($pho[$i])),
														"mob"=>strip_tags(trim($mob[$i])),
														"icq"=>strip_tags(trim($icq[$i])),
														"sit"=>strip_tags(trim($sit[$i])),
														"com"=>strip_tags(trim($com[$i])) ));
				}
				else
					$errfnd=true;
			}
			else
			{
				$errfnd=true;
			}
		}
		$contact->save_contacts();
		if ( $errfnd )
		{
			$contact->liste = null;
			$contact->liste = Array();
			$contact->nb=0;
			for ($i=0;$i<$mx;$i++)
			{
				$adrr=strip_tags(trim($adr[$i]));
				if ( $adrr == "" )
				{
					$contact->set_contact($adr[$i],Array("adr"=>strip_tags(trim($adr[$i])),
														"nom"=>strip_tags(trim($nom[$i])),
														"let"=>strip_tags(trim($let[$i])),
														"pho"=>strip_tags(trim($pho[$i])),
														"mob"=>strip_tags(trim($mob[$i])),
														"icq"=>strip_tags(trim($icq[$i])),
														"sit"=>strip_tags(trim($sit[$i])),
														"com"=>strip_tags(trim($com[$i])) ));
				}
				else if ( $contact->search($adrr) )
				{
					$contact->set_contact("[FOZZYMAIL_DOUBLON]".strip_tags(trim($adr[$i])),
												Array("adr"=>strip_tags(trim($adr[$i])),
														"nom"=>strip_tags(trim($nom[$i])),
														"let"=>strip_tags(trim($let[$i])),
														"pho"=>strip_tags(trim($pho[$i])),
														"mob"=>strip_tags(trim($mob[$i])),
														"icq"=>strip_tags(trim($icq[$i])),
														"sit"=>strip_tags(trim($sit[$i])),
														"com"=>strip_tags(trim($com[$i])) ));
				}
				else
				{
					$contact->set_contact($adr[$i],Array("adr"=>strip_tags(trim($adr[$i])),
														"nom"=>strip_tags(trim($nom[$i])),
														"let"=>strip_tags(trim($let[$i])),
														"pho"=>strip_tags(trim($pho[$i])),
														"mob"=>strip_tags(trim($mob[$i])),
														"icq"=>strip_tags(trim($icq[$i])),
														"sit"=>strip_tags(trim($sit[$i])),
														"com"=>strip_tags(trim($com[$i])) ));
				}
			}
		}
	}
	else if ( isset( $adr ) )
	{
		$adrr = strip_tags(trim($adr));
		$contact->set_contact($adrr,Array("adr"=>$adrr,
											"nom"=>strip_tags(trim($nom)),
											"let"=>strip_tags(trim($let)),
											"pho"=>strip_tags(trim($pho)),
											"mob"=>strip_tags(trim($mob)),
											"icq"=>strip_tags(trim($icq)),
											"sit"=>strip_tags(trim($sit)),
											"com"=>strip_tags(trim($com)) ));
		if ( trim($adr) == "" )
		{
			$errfnd=true;
		}
		else
			$contact->save_contacts();
	}
	if ( !$errfnd )
	{
?>
<html>
<head>
<script language=javascript>
function initialisations()
{
	window.close();
}
</script>
</head>
<body bgcolor="#<?=$bg_col?>" onload="initialisations();">
</body>
</html>
<?
		die();		
	}
}
?>
<html>
<head>
<style>
.A_Unseen
{
	color:#000000;
	font-Family:Arial;
	text-Decoration:underline;
}
.A_seen
{
	color:<?=$bg_col?>;
	font-Family:Arial;
	text-Decoration:underline;
}
</style>
<SCRIPT LANGUAGE=javascript SRC="mfe_calque.js"></SCRIPT>
<SCRIPT LANGUAGE=javascript SRC="mfe_infobulle.js"></SCRIPT>
<script language=javascript>
var mydbwin=null;

function trace( messag )
{
  var no=0;
  var yes=1;

  if ( mydbwin == null )
    {
      mydbwin = window.open("","debug","toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=400,height=400");
      mydbwin.document.open();
      mydbwin.document.writeln("Debugger prt<br>");
    }
  mydbwin.document.writeln(messag+"<br>");
}

var traclog="";

function tracelog( messag )
{
  traclog = traclog + messag + "<br>";
}

function explore( objet )
{
  //trace("explore objet " + objet.type );
  for ( itm in objet )
    {
      if (( itm == "innerHTML" ) ||
          ( itm == "innerText" ) ||
          ( itm == "outerHTML" )    )
        {
        }
      else
        {
          its = new String( itm );
          indic = "num";
          for ( i=0 ; i<its.length ; i++ )
          {
              car = its.charAt( i );
              if ( car != ' ' )
              {
                if (( car < '0' ) || ( car > '9' ))
                {
                  indic = "chaine";
                }
              }
          }
          try
          {
          if ( indic == "num" )
            {
              trace( "<font color='#FF0000'>" + itm + "=</font>" + eval( "objet[" + itm + "]"));
            }
          else
            {
              trace( "<font color='#FF0000'>" + itm + "=</font>" + eval( "objet." + itm ));
            }
          }
          catch(err)
          {
          }
        }
    }
}
function Supprimer(obj)
{
	obj.parentElement.parentElement.removeNode(true);
	modified=true;
}
var obj_en_cours;
var modified=false;
function add_contact(chaine)
{
	var nom="";
	var adr="";
	var let="";
	var pho="";
	var mob="";
	var icq="";
	var sit="";
	var com="";
	eval(chaine);
	nwtr = document.all["contact"].insertRow(document.all["contact"].rows.length);
	nwtd0 = nwtr.insertCell();
	nwtd1 = nwtr.insertCell();
	nwtd0.bgColor = "#<?=$fg_col?>";
	nwtd1.bgColor = "#<?=$fg_col?>";
	nwtd0.innerHTML = "<a href=\"#\" onmouseover=\"Info_Bulle('Supprimer ce contact');return false;\" onclick=\"Supprimer(this);return false;\"><img src=\"Supprimer.png\" border=0></a>";
	nwtd0.innerHTML += "<a href=\"#\" onmouseover=\"Info_Bulle('Modifier ce contact');return false;\" onclick='Modifier_new(this,\""+escape(nom)+"\",\""+adr+"\");return false;'><img src=\"Modifier.png\" border=0></a>";
	if ( nom == "" )
		nwtd1.innerHTML = adr;
	else
		nwtd1.innerHTML = nom;
	nwtd1.innerHTML += "<input name=nom[] id=nom[] type=hidden value=\""+nom.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=adr[] id=adr[] type=hidden value=\""+adr.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=let[] id=let[] type=hidden value=\""+let.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=pho[] id=pho[] type=hidden value=\""+pho.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=mob[] id=mob[] type=hidden value=\""+mob.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=icq[] id=icq[] type=hidden value=\""+icq.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=sit[] id=sit[] type=hidden value=\""+sit.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=com[] id=com[] type=hidden value=\""+com.replace(/FZ_BR/gi,"\r\n")+"\">";
	modified=true;
}
function maj_contact(chaine)
{
	var nom="";
	var adr="";
	var let="";
	var pho="";
	var mob="";
	var icq="";
	var sit="";
	var com="";
	eval(chaine);
	if ( nom == "" )
		obj_en_cours.innerHTML = adr;
	else
		obj_en_cours.innerHTML = nom;
	obj_en_cours.innerHTML += "<input name=nom[] id=nom[] type=hidden value=\""+nom.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=adr[] id=adr[] type=hidden value=\""+adr.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=let[] id=let[] type=hidden value=\""+let.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=pho[] id=pho[] type=hidden value=\""+pho.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=mob[] id=mob[] type=hidden value=\""+mob.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=icq[] id=icq[] type=hidden value=\""+icq.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=sit[] id=sit[] type=hidden value=\""+sit.replace(/FZ_BR/gi,"\r\n")+"\">" +
						"<input name=com[] id=com[] type=hidden value=\""+com.replace(/FZ_BR/gi,"\r\n")+"\">";
	modified=true;
}
function get_contact()
{
	return( "let=\""+obj_en_cours.all["let[]"].value.replace(/\r\n/gi,"FZ_BR")+"\";"+"pho=\""+obj_en_cours.all["pho[]"].value.replace(/\r\n/gi,"FZ_BR")+"\";"+"mob=\""+obj_en_cours.all["mob[]"].value.replace(/\r\n/gi,"FZ_BR")+"\";"+"icq=\""+obj_en_cours.all["icq[]"].value.replace(/\r\n/gi,"FZ_BR")+"\";"+"sit=\""+obj_en_cours.all["sit[]"].value.replace(/\r\n/gi,"FZ_BR")+"\";"+"com=\""+obj_en_cours.all["com[]"].value.replace(/\r\n/gi,"FZ_BR")+"\";" );
}
function ajouter()
{
	window.open("choixcontact.php?mode=1","contact","width=600, height=400, resizable=yes, scrollbars=yes");
}
function Modifier(obj,nom,adres)
{
	obj_en_cours = obj.parentElement.parentElement.childNodes(1);
	window.open("choixcontact.php?mode=1&nom="+escape(nom)+"&adr="+adres,"contact","width=600, height=400, resizable=yes, scrollbars=yes");
}
function Modifier_new(obj,nom,adres)
{
	obj_en_cours = obj.parentElement.parentElement.childNodes(1);
	window.open("choixcontact.php?mode=1&nom="+escape(nom)+"&adr="+adres,"contact","width=600, height=400, resizable=yes, scrollbars=yes");
}
function winclose()
{
	if ( modified ) 
	{
		return("Des modifications ont t apportes au carnet d'adresse.\r\nCelles-ci n'tant pas enregistres elles seront perdues.\r\n");
	}
}
window.onbeforeunload=winclose;
</script>
</head>
<body bgcolor="#<?=$bg_col?>">
<form method=post action="fozzycontacts.php">
<input type=hidden name=save id=save value=1>
<table name=contac id=contac width=100% border=0 cellpadding=1 cellspacing=1>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=3><font face=Arial size=3>Carnet d'adresses</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font face=Arial size=1><a href="#" onclick="ajouter();return false;" class=A_Unseen>Ajouter</a></font></td>
</tr>
<tr>
<?
	if ( $contact->nb == 0 ) echo "<td valign=top><table name=contact id=contact width=30% border=0 cellpadding=1 cellspacing=1>\r\n";
	$lgcol = $contact->nb/3;
	
	if ( floor($lgcol) < $lgcol ) $lgcol = ceil($lgcol);
	$j=0;
	$k=1;
	for ($i=0; $i<$contact->nb ; $i++ )
	{
		if ($j==$lgcol)
		{
			$j=0;
			echo "</table></td>\r\n";
		}
		if ($j==0)
		{
			echo "<td valign=top><table ";
			if (( $contact->nb == 1 ) && ($k==1))
				echo "name=contact id=contact width=30%";
			else if (( $contact->nb == 2 ) && ($k==2))
				echo "name=contact id=contact width=30%";
			else if (( $contact->nb >= 3 ) && ($k==3))
				echo "name=contact id=contact width=100%";
			echo " border=0 cellpadding=1 cellspacing=1>\r\n";
			$k++;
		}
		$j++;
?>
<tr>
	<td bgcolor="#<?=$fg_col?>" width=32px>
		<a href="#" onmouseover="Info_Bulle('Supprimer ce contact');return false;" onclick="Supprimer(this);return false;"><img src="Supprimer.png" border=0></a><a href="#" onmouseover="Info_Bulle('Modifier ce contact');return false;" onclick='Modifier(this,"<?=rawurlencode($contact->liste[$i]["nom"])?>","<?=$contact->liste[$i]["adr"]?>");return false;'><img src="Modifier.png" border=0></a>
	</td>
	<td bgcolor="#<?=$fg_col?>"><?if ( $contact->liste[$i]["nom"] != "" ) echo $contact->liste[$i]["nom"]; else  echo $contact->liste[$i]["adr"];?>
		<input name=nom[] id=nom[] type=hidden value="<?=$contact->liste[$i]["nom"]?>">
		<input name=adr[] id=adr[] type=hidden value="<?=$contact->liste[$i]["adr"]?>">
		<input name=let[] id=let[] type=hidden value="<?=$contact->liste[$i]["let"]?>">
		<input name=pho[] id=pho[] type=hidden value="<?=$contact->liste[$i]["pho"]?>">
		<input name=mob[] id=mob[] type=hidden value="<?=$contact->liste[$i]["mob"]?>">
		<input name=icq[] id=icq[] type=hidden value="<?=$contact->liste[$i]["icq"]?>">
		<input name=sit[] id=sit[] type=hidden value="<?=$contact->liste[$i]["sit"]?>">
		<input name=com[] id=com[] type=hidden value="<?=$contact->liste[$i]["com"]?>">
	</td>	
</tr>
<?
	}
	echo "</table></td>\r\n";
?>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=3>
		<center>
		<font face=Arial size=2><a href="#" onclick="window.onbeforeunload=null;document.forms[0].submit();" class=A_Unseen onmouseover="Info_Bulle('Enregistrer ce carnet');return false;">Enregistrer</a></font>
		&nbsp;&nbsp;-&nbsp;&nbsp;<font face=Arial size=2><a href="#" onclick="window.close();return false;" class=A_Unseen onmouseover="Info_Bulle('Fermer la fentre');return false;">Annuler</a></font>
		</center>
	</td>
</tr>
</table>
</form>
</body>
</html>